GNU bug report logs - #43569
28.0.50; Menu "Continue Tags Search" signals an error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; dated Tue, 22 Sep 2020 19:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 13:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 09:03:20 2020
Received: from localhost ([127.0.0.1]:48668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWKl-0000tZ-Ql
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:03:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMWKf-0000tE-MJ
 for 43569 <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:03:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BrG8d0u+/hUxMLn6DZFSjh0J43dJh2cMtZ4YYmgZv8g=; b=Z7gdrU6rq4mBuliCS0P4DDo5MP
 uGjQlix6xPDD9y/BjxyiWnQ2i1r8S5xEhbiisGfxb1U/TbzJ8UpvDrfMgHr6V8IZqi0j9p1xf+DCE
 tTw/qt2r1dQQ3Js6V9J+tn7ujRM1WE+chzXhcDcj1NAhSzrvtDHjNtQQzzcFIN/vDr80=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMWKX-0004Cp-0y; Sun, 27 Sep 2020 15:03:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>
 <87wo0nbln5.fsf@HIDDEN>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>
 <87sgbadxr9.fsf@HIDDEN>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>
 <87eemt7gob.fsf_-_@HIDDEN>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>
 <83zh5crkbb.fsf@HIDDEN>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>
 <83eemor2lx.fsf@HIDDEN>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
 <83mu1cpd6n.fsf@HIDDEN> <871riocj3y.fsf@HIDDEN>
 <87lfgvzfhz.fsf@HIDDEN> <875z7z5s7r.fsf@HIDDEN>
 <001decfd-9dd3-9c39-5f2a-50c06b794e78@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUKDQstJyjdwq5b
 UU6XfnH////rkHIoAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QJGww6H2qyazMAAAGwSURBVDjLhZQL
 kqQgDIbJ0gcgwgVEDgDiAVrg/mfaBAhOz87Upqq1zeefF6BS/zdQYH5yAxiDiP/4EZRCNIZFcEiI
 yEEq/cebJVBHzHTuYKtJDFL36AHitqs/AdmSNcoZGyUDGn07732L5a1eaFfq7dDZswUC6nwvcO6n
 H3YgP4kE0ZYJfHApz1iABv1jZd/n+69dnV9BlJrg1sPV+jXqp9hthu9XbkXGNDK3oQghuoH0iBSu
 NoVWGnn153pJyUlm73rw2gQcaWbpuUNuUliQ9G6lCKOwFarrr6eVHD8UD0jSyNP3yP/+AF9MwPYd
 3L8BUZzfgYz3LL+BIGXNN2bjsM0h+jDGdUxBcX1UudCKNBbLmiNvqUqAYCO8UigswScCBFl3rLW9
 rtDYlQe4XZSJ3D6QgiJlS6uSIwxgLuP8kTNFSplmbGkHzl2Sw+Z3Bkj+Gy8jwHlL60mR0IVa6zqI
 qG/VyuEb9dg2r1GqataAz3MsdgcRaN5IDTP1nW0BtdrASkdNWUtHMBul13YDascMOb1CPxH0owuj
 EqS7lRnKaUP20kcDPgFHYzPqB/v4wPwFIi9kW81k4vIAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAt
 MDktMjdUMTI6NTg6MzErMDA6MDBMMSdBAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTI3VDEy
 OjU4OjMxKzAwOjAwPWyf/QAAAABJRU5ErkJggg==
X-Now-Playing: Sandy Denny's _Like An Old Fashioned Waltz_: "No End"
Date: Sun, 27 Sep 2020 15:03:03 +0200
In-Reply-To: <001decfd-9dd3-9c39-5f2a-50c06b794e78@HIDDEN> (Dmitry Gutov's
 message of "Sun, 27 Sep 2020 16:00:07 +0300")
Message-ID: <87sgb32wzc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > On 27.09.2020 15:17,
 Lars Ingebrigtsen wrote: >> It also helps the people who are looking at the
 web interface -- the >> patch that resolves the bug report would be there,
 which I often find >> help [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org,
 =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 27.09.2020 15:17, Lars Ingebrigtsen wrote:
>> It also helps the people who are looking at the web interface -- the
>> patch that resolves the bug report would be there, which I often find
>> helpful when looking at problems in other systems.
>
> It could also be an HTTP URL instead of the patch itself, if we wanted
> to avoid duplication.

I'd prefer the patch itself -- systems come and go, and URLs don't last.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 13:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 09:00:17 2020
Received: from localhost ([127.0.0.1]:48651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWHp-0007K7-GA
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:00:17 -0400
Received: from mail-ej1-f44.google.com ([209.85.218.44]:36367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1kMWHo-0007EO-M1
 for 43569 <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:00:17 -0400
Received: by mail-ej1-f44.google.com with SMTP id e23so4670355eja.3
 for <43569 <at> debbugs.gnu.org>; Sun, 27 Sep 2020 06:00:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=HZwr7m+D4IAMaBjOYfGgGSpUQRgnOUyI4I9Vpi1flOo=;
 b=c/9/A1wVSnjjWkULQhVUuLyIYFnRtLVCi8Zp2N+J6FUgbaycQ7PBaW6iDW7SasiqX6
 dchZLuDYR62mdmdsD7yT7s+iLFBCRYbMCBlSk2P4SUA4MIIgYuIXb19ZiBGnDUFa8vjt
 HH2tL80yqp9FEPg/CCBGNDjWVMijbQCNBAAkE4ecbxW77wAWoo9/B1jHv1w51UViJmYn
 6CBVXXd+xkdkMZHR9KHo8emvaXIHlpQeHoyg7Mra5+iJELZOuPQbmma1tJFBlqq4Dua9
 q3hXDnKEnYf3b6ULyh+gjwiG0U/XV7bj5mjBlg6M+mVcHFd2YYuSyP8uBKAXNuCLv6oL
 ysxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=HZwr7m+D4IAMaBjOYfGgGSpUQRgnOUyI4I9Vpi1flOo=;
 b=kuOHDkksZh6NDgC902G4EZn3vL1m9DX1KNjq4gN2GNdItToQmU1tPJ0BGx2Z8KXuwo
 m6hrs+nlK2wU1Feo+g7IsECYxvg4CB2wikZp5aAPQzrjWEMv3QJnqCD5hbUWzzvgJnYI
 CdW8tPZ0p8ibTpgax2Q4wW9hbrN422LI7GYP2k/wB2hAZh4xt4w+jq+sTb6AGAzqfuE7
 FsbvJA+A0aOuCHd8/W+imKtjMLqJz5whSGni+QAasTR/qbrwjPhfnX8LFtaVbIeuI9KC
 fhZ/W2iQ2cOM/l0A+G2c+AAOba/pRcs3+aViHnkGJ0XkHE6h5DljSVydQbkVcPnmZ5Ab
 oegg==
X-Gm-Message-State: AOAM533bRgpxljg8KxnA6F1eksOJbcpDQwCxLih0W40HlcKixZC/cpWM
 NqkqR2eddUWU/JmoZglLG1I=
X-Google-Smtp-Source: ABdhPJzGZ3bFFMsX09sfHpB5mbeall6Zk7KBn4zdNAdkPPBWGTCg4o/sXLj24tJU0ghYqioRNRKcTQ==
X-Received: by 2002:a17:906:288d:: with SMTP id
 o13mr11508391ejd.195.1601211610648; 
 Sun, 27 Sep 2020 06:00:10 -0700 (PDT)
Received: from [192.168.0.4] ([66.205.71.3])
 by smtp.googlemail.com with ESMTPSA id u23sm6227647ejc.108.2020.09.27.06.00.09
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 27 Sep 2020 06:00:09 -0700 (PDT)
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 =?UTF-8?Q?K=c3=a9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
References: <87zh5xiuk4.fsf@localhost> <87ft7cx6kh.fsf@localhost>
 <83bli027is.fsf@HIDDEN> <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>
 <87wo0nbln5.fsf@HIDDEN>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>
 <87sgbadxr9.fsf@HIDDEN>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>
 <87eemt7gob.fsf_-_@HIDDEN>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default> <83zh5crkbb.fsf@HIDDEN>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default> <83eemor2lx.fsf@HIDDEN>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default> <83blhsr1i7.fsf@HIDDEN>
 <87eemoilta.fsf@HIDDEN> <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
 <83mu1cpd6n.fsf@HIDDEN> <871riocj3y.fsf@HIDDEN> <87lfgvzfhz.fsf@HIDDEN>
 <875z7z5s7r.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <001decfd-9dd3-9c39-5f2a-50c06b794e78@HIDDEN>
Date: Sun, 27 Sep 2020 16:00:07 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <875z7z5s7r.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 27.09.2020 15:17, Lars Ingebrigtsen wrote:
> It also helps the people who are looking at the web interface -- the
> patch that resolves the bug report would be there, which I often find
> helpful when looking at problems in other systems.

It could also be an HTTP URL instead of the patch itself, if we wanted 
to avoid duplication.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 12:17:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 08:17:56 2020
Received: from localhost ([127.0.0.1]:48566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMVcq-0003rl-ES
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:17:56 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMVco-0003rV-ML
 for 43569 <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:17:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=IG2wK8qfQqaqw/oj8SrVjVD8BiMGgXu61zW4FrcAc5U=; b=PKfLJOGYEhBdV1nymzzOoEZB8T
 5yypZavdIjfjT9fOmEZA2VLaRWTS0CytQXaiHAzGGUOlh8db9UOgzU9CtitLJWAVY+yuH4lhKtP2Y
 PiZJQGFD/m/sAjMjLQf6EMpWYAD2ziWD8HUvXnDQIelfKHamVy41+/2Qhci0eWAugxbo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMVcg-0003qM-5N; Sun, 27 Sep 2020 14:17:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
 <83mu1cpd6n.fsf@HIDDEN> <871riocj3y.fsf@HIDDEN>
 <87lfgvzfhz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEW8xch5hIdBPkP/
 //9qUcmpAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QJGwsjOr/5AOkAAAGZSURBVCjPTZGxbpxAEIYH
 K4dsqiQykXyVC1c8xRLlkNw5EoPMdJEOC/YpOCmVq3N0XEF1iliL/Z8ys/gSZ4vVfszwz/wzlDJc
 Z2ExEVFaie8Aa/cBBL7WiKMAdvQsf0FG/2ghJSNEgLZGvLEBAPhBVqndEmXw1h1HZvQB5ngYxIcs
 suKObrDgWeFoX+EqOB+KTn2TsWpgo+B6VnFgmxqi5/4CAoyOH4jiXeK7H4DhUouaZJ6+Z3jhR6LX
 XXHYplI5qYm0lb2ayt12VBCrfSTk756I4KxqXpK/+UW0bjITfCHZqRpf6zOufPhy8y3cq2qKqKS0
 jDRt1WjT15rGCjEUPmikNmRi/Fym00q5onhzuI2CGjdlFN+f2o8BxO2Lkfdyv0Chv3AuwULXtZcF
 DnSlAmsMpwaoTEVhbpI7eDYXWi5zV4kbxFCkTmzRr4+1dqFlqH3qk2c2iw36MicYOX+DbNK1HeJ+
 AfyGTx8+lW+gc2bO2bwD/4vMm/9gqrw9w4DTZ1g+g7x8ha5vqYNiKMK2aLFwbiWcBO/vP9bos2ts
 4KKOAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTA5LTI3VDExOjM1OjU3KzAwOjAwSQ82wQAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOS0yN1QxMTozNTo1NyswMDowMDhSjn0AAAAASUVORK5CYII=
X-Now-Playing: LCD Soundsystem's _London Sessions_: "I Can Change"
Date: Sun, 27 Sep 2020 14:17:44 +0200
In-Reply-To: <87lfgvzfhz.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Sun, 27 Sep 2020 12:22:00 +0200")
Message-ID: <875z7z5s7r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Kévin Le Gouguec <kevin.legouguec@HIDDEN> writes: > I
   can't speak for the maintainers of projects hosted on these forges, > but
   I can imagine it being handy: sure, finding all commits referencing > a bug
    ID is "just one Git command away", but that ca [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: Eli Zaretskii <eliz@HIDDEN>, 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

K=C3=A9vin Le Gouguec <kevin.legouguec@HIDDEN> writes:

> I can't speak for the maintainers of projects hosted on these forges,
> but I can imagine it being handy: sure, finding all commits referencing
> a bug ID is "just one Git command away", but that can mean a couple of
> seconds twiddling one's thumbs while the disk spins; having that
> information readily displayed in the thread sounds like a timesaver.

It also helps the people who are looking at the web interface -- the
patch that resolves the bug report would be there, which I often find
helpful when looking at problems in other systems.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 10:22:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 06:22:11 2020
Received: from localhost ([127.0.0.1]:48407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMTop-0007Ei-5z
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 06:22:11 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:43277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1kMTon-0007ET-6M
 for 43569 <at> debbugs.gnu.org; Sun, 27 Sep 2020 06:22:09 -0400
Received: by mail-wr1-f67.google.com with SMTP id k15so8460229wrn.10
 for <43569 <at> debbugs.gnu.org>; Sun, 27 Sep 2020 03:22:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Q2yr1n1LnteDobapNgfaH/jPcRzVhy7kFGT57jS3cw4=;
 b=mpnwaFKFFNFkKGiLtuXb3aZxtC7jbbkJqgFdN1RoxOcmyAnhlybf9ByhvXw3BVAMSU
 NdS1rT7a9QeYMNoidQa9UpcWqePxdwMCyvXt2fp0uaX1fRjoDaeEy10XkEwgdZX/ZgWW
 TwUxb5hwBf5cav5ED104i1embWtbpuVPyf5afKqe1hSInHb457rsuufQDNrx6t38/heI
 8CAVz/Lu5YbxSRlpgwby2s5OqdVe8SKPAdNOdWPLvdtJTvsatuOBSSdY35kcv5vqcFzJ
 PJienbWHGUIyt9Cu5Pft938H+KUengRI0lsH2U0e4U9xcGFEArk8SG8xTO/Th7VivypZ
 G6ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Q2yr1n1LnteDobapNgfaH/jPcRzVhy7kFGT57jS3cw4=;
 b=LehdvZrOSf60/+qYJddf2V1cLCQfVpVf5rxrnKhG0dOt2SIsLP0sscEhLwokixR4+j
 8hh6ghb0KBH85El43jcJP/Fi9EZnot0Akq/B/sNRdLPbzDZUzLI2v6xPsbv5yBCai77j
 JPA5My0VxNf/P9MYNkrbVZbwaqD+djOgRSkWEejKK0k9Lw4FM5b1LYpFKnJMAn7VLY8N
 mFxP/j6FnV44sR5vyBVs+ibUFcsVGpkFZp0YYUPaDCSCVPNJDsBzibplbRwDGJ26ZVCQ
 3Rv2usHvEpvnHChtjtCWKcojVKNEVQdHxStN7vs3xQD8EcRa2KWhPBP1/8o1aaKG+xm1
 zvxQ==
X-Gm-Message-State: AOAM533UkVnSf8vlRf2Rp94+0+wXt9jQx64vmeJrVCrEwMK628clZdJn
 8vEEkIGD/AiF0PdT2a66K/w=
X-Google-Smtp-Source: ABdhPJxAOgMNOoU5+E/JX1rh5DSvk6eLgC5+34sODaBb9hUidefqasrF5Ht8lGdXQ7PMr3xDOXmLsg==
X-Received: by 2002:a5d:4645:: with SMTP id j5mr12275450wrs.388.1601202123368; 
 Sun, 27 Sep 2020 03:22:03 -0700 (PDT)
Received: from hirondell ([2a01:e0a:20e:d340:41b7:7b2e:4aab:4832])
 by smtp.gmail.com with ESMTPSA id h16sm10171803wre.87.2020.09.27.03.22.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Sep 2020 03:22:02 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <83d02tifi3.fsf@HIDDEN>>>>
 <87ft7cx6kh.fsf@localhost>>>> <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
 <83mu1cpd6n.fsf@HIDDEN> <871riocj3y.fsf@HIDDEN>
Date: Sun, 27 Sep 2020 12:22:00 +0200
In-Reply-To: <871riocj3y.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 26 Sep 2020 23:40:17 +0200")
Message-ID: <87lfgvzfhz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: Eli Zaretskii <eliz@HIDDEN>, 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> > If you wish to send a followup message which is not appropriate for
>>> > any mailing list you can do so by sending it to
>>> > nnn-quiet <at> debbugs.gnu.org or nnn-maintonly <at> debbugs.gnu.org. Mail to
>>> > nnn-quiet <at> debbugs.gnu.org is filed in the bug Tracking System but is
>>> > not delivered to any individuals or mailing lists. Mail to
>>> > nnn-maintonly <at> debbugs.gnu.org is filed in the bug Tracking System and
>>> > is delivered only to the maintainer of the package in question.
>>
>> That sounds like the direct opposite of what is being saiught here,
>> doesn't it?
>
> It doesn't help with sending the patch to the bug reporter, but it does
> fix the problem of stashing a copy of the patch in the bug tracker (and
> not annoying anybody when doing so), though.

Yes, that's the issue I was thinking about (sorry for not being explicit
enough, I counted on my selective quoting to do the work for me).

FWIW this feature (having the BTS record what patches were applied in
the context of a specific report) is a thing other forges do.

I can't speak for the maintainers of projects hosted on these forges,
but I can imagine it being handy: sure, finding all commits referencing
a bug ID is "just one Git command away", but that can mean a couple of
seconds twiddling one's thumbs while the disk spins; having that
information readily displayed in the thread sounds like a timesaver.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 06:23:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 02:23:34 2020
Received: from localhost ([127.0.0.1]:48203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMQ5t-0001NP-QQ
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 02:23:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMQ5s-0001NE-RG
 for 43569 <at> debbugs.gnu.org; Sun, 27 Sep 2020 02:23:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47347)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMQ5m-0002RI-4C; Sun, 27 Sep 2020 02:23:26 -0400
Received: from [176.228.60.248] (port=4619 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMQ5l-0001gY-Ct; Sun, 27 Sep 2020 02:23:25 -0400
Date: Sun, 27 Sep 2020 09:23:09 +0300
Message-Id: <83a6xbpwky.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <161e718a-2213-46c8-bc9c-061dfb390e9b@default> (message from Drew
 Adams on Sat, 26 Sep 2020 18:17:26 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<<<87zh5xiuk4.fsf@localhost>>>>>>
 <<<<<831rj9k79b.fsf@HIDDEN>>>>>>
 <<<<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>>>
 <<<<<83sgbpiqa7.fsf@HIDDEN>>>>>> <<<<<87mu1xa380.fsf@HIDDEN>>>>>>
 <<<<<83imclii71.fsf@HIDDEN>>>>>> <<<<<87wo1178cn.fsf@HIDDEN>>>>>>
 <<<<<83d02tifi3.fsf@HIDDEN>>>>>> <<<<<87ft7cx6kh.fsf@localhost>>>>>>
 <<<<<83bli027is.fsf@HIDDEN>>>>>>
 <<<<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>>>
 <<<<<87wo0nbln5.fsf@HIDDEN>>>>>
 <<<<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>>>
 <<<<<87sgbadxr9.fsf@HIDDEN>>>>>
 <<<<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>>>
 <<<<<87eemt7gob.fsf_-_@HIDDEN>>>>>
 <<<<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>>>
 <<<<<83zh5crkbb.fsf@HIDDEN>>>>>
 <<<<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>>>
 <<<<83eemor2lx.fsf@HIDDEN>>>>
 <<<8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>>>
 <<<83blhsr1i7.fsf@HIDDEN>>>
 <<<82143311-d8b3-4a96-a103-587e1fedf9dd@default>>>
 <<<83zh5cpk5q.fsf@HIDDEN>>> <<3c22f287-5b44-4d8f-a942-a5545b2a1389@default>>
 <<83imc0pc13.fsf@HIDDEN>> <161e718a-2213-46c8-bc9c-061dfb390e9b@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 26 Sep 2020 18:17:26 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org
> 
> I call the menu item for [tags-repl-continue]
> "Continue Search/Replace", with :help "Continue last
> tags search or replace operation".
> 
> It's incorrect to say that it continues the last tags
> replace operation.  It continues the last tags search
> or replace operation.  If the last tags operation was 
> `tags-search' and not `tags-query-replace', then it
> continues the last search, not the last replace.

That is factually correct, but I think the current menus are less
confusing to newbies than your proposal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 27 Sep 2020 01:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 21:19:46 2020
Received: from localhost ([127.0.0.1]:48082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMLLu-0002NI-Kk
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 21:19:46 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:54684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kMLLr-0002N0-EW
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 21:19:46 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08R1Jbnq091799;
 Sun, 27 Sep 2020 01:19:37 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=4GcG7rEKP9AjzWohl6Oly7cuusAA1UcOTLfrtB//yQs=;
 b=c6LHryFGcRMOdgrr9hpf9d85wgPxZYglxFlAEXsStCorMMFoNs48zJFl01N3OuQFHLHp
 iPf2kXi7+yvperWKZBQZ3UP39SvP72LeglXcBOJZHdZGyvS2gaA0vGoJxuzT3stg2nBt
 GUI4ODP9XPiEZiCiTjOGd1TX3qzAijpirnwX/nZnD9gCcS40Ai7pagymAtUQFJdJEQPK
 1GPCDMWR9wAx/wAFgKQzhK3Z0BBFS5lR9gDWleOyS3seeqnh/bSnQvHkYTVZrv4/OXS6
 MPJ+fqv9CB6kA3vT/pt/9LFnHsVFd0FRx4oRcQDv8fmdAKm+j8VW+NPSOtavFHDVRw97 Zw== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2120.oracle.com with ESMTP id 33swkkhars-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sun, 27 Sep 2020 01:19:37 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08R1FYPU048104;
 Sun, 27 Sep 2020 01:17:36 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3030.oracle.com with ESMTP id 33tfjt1vw4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 27 Sep 2020 01:17:36 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 08R1HSfQ003573;
 Sun, 27 Sep 2020 01:17:30 GMT
MIME-Version: 1.0
Message-ID: <161e718a-2213-46c8-bc9c-061dfb390e9b@default>
Date: Sat, 26 Sep 2020 18:17:26 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<<<87zh5xiuk4.fsf@localhost>>>>>>
 <<<<<831rj9k79b.fsf@HIDDEN>>>>>>
 <<<<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>>>
 <<<<<83sgbpiqa7.fsf@HIDDEN>>>>>> <<<<<87mu1xa380.fsf@HIDDEN>>>>>>
 <<<<<83imclii71.fsf@HIDDEN>>>>>> <<<<<87wo1178cn.fsf@HIDDEN>>>>>>
 <<<<<83d02tifi3.fsf@HIDDEN>>>>>> <<<<<87ft7cx6kh.fsf@localhost>>>>>>
 <<<<<83bli027is.fsf@HIDDEN>>>>>>
 <<<<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>>>
 <<<<<87wo0nbln5.fsf@HIDDEN>>>>>
 <<<<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>>>
 <<<<<87sgbadxr9.fsf@HIDDEN>>>>>
 <<<<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>>>
 <<<<<87eemt7gob.fsf_-_@HIDDEN>>>>>
 <<<<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>>>
 <<<<<83zh5crkbb.fsf@HIDDEN>>>>>
 <<<<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>>>
 <<<<83eemor2lx.fsf@HIDDEN>>>>
 <<<8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>>>
 <<<83blhsr1i7.fsf@HIDDEN>>>
 <<<82143311-d8b3-4a96-a103-587e1fedf9dd@default>>>
 <<<83zh5cpk5q.fsf@HIDDEN>>> <<3c22f287-5b44-4d8f-a942-a5545b2a1389@default>>
 <<83imc0pc13.fsf@HIDDEN>>
In-Reply-To: <<83imc0pc13.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 spamscore=0 mlxscore=0
 phishscore=0 adultscore=0 bulkscore=0 mlxlogscore=999 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009270010
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 mlxscore=0 phishscore=0
 suspectscore=0 mlxlogscore=999 clxscore=1015 priorityscore=1501
 impostorscore=0 lowpriorityscore=0 bulkscore=0 spamscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009270010
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> That's not what I've done.

OK, I've looked at your patch; thx.  And I've updated
my code.  For Emacs < 27, I've found that there's no
good condition for :enable.  I was mistaken thinking
that (tags-loop-eval tags-loop-scan) could be used.
___

FWIW:

I call the menu item for [tags-repl-continue]
"Continue Search/Replace", with :help "Continue last
tags search or replace operation".

It's incorrect to say that it continues the last tags
replace operation.  It continues the last tags search
or replace operation.  If the last tags operation was=20
`tags-search' and not `tags-query-replace', then it
continues the last search, not the last replace.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 21:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 17:40:35 2020
Received: from localhost ([127.0.0.1]:47890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMHvn-0003SF-16
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 17:40:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMHvk-0003S0-2M
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 17:40:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SuHoIl46B8FhCp0FAfTlIzgE73jvmzXhKZ69UBoVkI8=; b=e07iDqPW4N0Brci6ZplC4Yez59
 u2CIrjNAT0k/RwMykntrzDq+HssQYIN009NSY1jWs+O4IB/CHTRDr3Bin/JBn8SFedHDGJqGDOeDv
 8vn1N0z6KHQfFc+uKiorYZqkKdCBEl1XE3a+ROwLZWl1FgghD8MEF4O+izc1DKE+zMRI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMHvX-0003RI-97; Sat, 26 Sep 2020 23:40:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
 <83mu1cpd6n.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVAKzdfYKmQrJCh
 WpHDQl3///+rII41AAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QJGhUnHkmSyCMAAAGlSURBVDjLjZPt
 uZswDIUNzgAR7gAXwwDYxwMQ0P4zVZKxE257n1Z/AnqjryPhXLWn+w9bfgJf/WmoPw9mTrecQ/cz
 /aVYBft3N9gMAj6ixhgXlF2pvE2telYw0y8DADpwjj9B+BN48ElEzl0deBwK1h0CrHAHkxRPK5Av
 UNvffRKw5vWUEsfTI3EHUVJNMxWpJQC4YjwpoGpPnyOcoWGm/AGCAm+AwvgGATEmmdmmYGn36ZIB
 ySoAFzhltzAwWWybm3fnA1D9N8AIhJJqogWhgzjHmQVoQPzipojWjrNGqD9uqamLrCAUUWYRvWZq
 IE0XiBdoiqhUkorPrGDsTZlUMov8OS4mRAPZgPWkIDRx5VnBHCNNi66tdL+MvByvSFSg3fNj70CS
 ifqhYNODrABusIExkx6JgrLXox9MUlBIiWUcPlduVVRwBH5RUcDrXo+hji+OV2AK/AlkxVBQJBXK
 cYu4gOnbgd/8Vop9H8cbOLfpjVX/HUBNpF1ldaOBtihIiB38VkHf4PYDELGkx/p+B48EfnXAR/+k
 dZTRgH8v6Ztl9y/7DfNZaEUtmWFlAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTA5LTI2VDIxOjM5
 OjMwKzAwOjAwgvJVDAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOS0yNlQyMTozOTozMCswMDow
 MPOv7bAAAAAASUVORK5CYII=
X-Now-Playing: Matrix Metals's _Matrix Metals_: "(untitled)"
Date: Sat, 26 Sep 2020 23:40:17 +0200
In-Reply-To: <83mu1cpd6n.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Sep
 2020 22:09:52 +0300")
Message-ID: <871riocj3y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> > If you wish to send
 a followup message which is not appropriate for >> > any mailing list you
 can do so by sending it to >> > nnn-quiet <at> debbugs.gnu.org or
 nnn-maintonly <at> debbugs.gnu.org. Mail to > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org,
 =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > If you wish to send a followup message which is not appropriate for
>> > any mailing list you can do so by sending it to
>> > nnn-quiet <at> debbugs.gnu.org or nnn-maintonly <at> debbugs.gnu.org. Mail to
>> > nnn-quiet <at> debbugs.gnu.org is filed in the bug Tracking System but is
>> > not delivered to any individuals or mailing lists. Mail to
>> > nnn-maintonly <at> debbugs.gnu.org is filed in the bug Tracking System and
>> > is delivered only to the maintainer of the package in question.
>
> That sounds like the direct opposite of what is being saiught here,
> doesn't it?

It doesn't help with sending the patch to the bug reporter, but it does
fix the problem of stashing a copy of the patch in the bug tracker (and
not annoying anybody when doing so), though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 19:35:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 15:35:05 2020
Received: from localhost ([127.0.0.1]:47773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMFyK-0006f5-SV
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:35:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMFyI-0006eW-Rh
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:35:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38371)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMFyD-0004ZS-EA; Sat, 26 Sep 2020 15:34:57 -0400
Received: from [176.228.60.248] (port=4843 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMFyC-0000xP-HR; Sat, 26 Sep 2020 15:34:57 -0400
Date: Sat, 26 Sep 2020 22:34:48 +0300
Message-Id: <83imc0pc13.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <3c22f287-5b44-4d8f-a942-a5545b2a1389@default> (message from Drew
 Adams on Sat, 26 Sep 2020 12:32:42 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<<87zh5xiuk4.fsf@localhost>>>>> <<<<831rj9k79b.fsf@HIDDEN>>>>>
 <<<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>>
 <<<<83sgbpiqa7.fsf@HIDDEN>>>>> <<<<87mu1xa380.fsf@HIDDEN>>>>>
 <<<<83imclii71.fsf@HIDDEN>>>>> <<<<87wo1178cn.fsf@HIDDEN>>>>>
 <<<<83d02tifi3.fsf@HIDDEN>>>>> <<<<87ft7cx6kh.fsf@localhost>>>>>
 <<<<83bli027is.fsf@HIDDEN>>>>>
 <<<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>>
 <<<<87wo0nbln5.fsf@HIDDEN>>>>
 <<<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>>
 <<<<87sgbadxr9.fsf@HIDDEN>>>>
 <<<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>>
 <<<<87eemt7gob.fsf_-_@HIDDEN>>>>
 <<<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>>
 <<<<83zh5crkbb.fsf@HIDDEN>>>>
 <<<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>>
 <<<83eemor2lx.fsf@HIDDEN>>> <<8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>>
 <<83blhsr1i7.fsf@HIDDEN>> <<82143311-d8b3-4a96-a103-587e1fedf9dd@default>>
 <<83zh5cpk5q.fsf@HIDDEN>> <3c22f287-5b44-4d8f-a942-a5545b2a1389@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, drew.adams@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 26 Sep 2020 12:32:42 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org
> 
> If not, that's OK by me.  I'll go with this as a guess:
> 
> (or (version= "27.1" emacs-version) ; bug #43569
>     (not (condition-case nil
>              (tags-loop-eval tags-loop-scan)
>            (error t))))

That's not what I've done.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 19:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 15:32:56 2020
Received: from localhost ([127.0.0.1]:47769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMFwG-0006bG-CX
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:32:56 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:43168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kMFwD-0006az-M2
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:32:55 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QJU4BS088071;
 Sat, 26 Sep 2020 19:32:47 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=9abxisrT3D0ynt/HWSnpwUT00ngZ2Yl+7VS+COmyTMw=;
 b=QnMk4Y3b3c8lZGbNbnW0OCXzMk5gUJTDn9xO4UNNxtpSe+VASlo+wV1SDHWzBEJUegJD
 mPcIxPnzZBhhmg+bQ/7b0m2gyp7780KjS7qExYmvyHO0Chais4KNyuIv83EosXI2jHWe
 cmhLOM7029rCw3VB6D0nrrUdExFjKqdA3HbYeIoArepWb3I9pzkK4Mrk4bQD/YEUKVBg
 ZELZmgbVvIsc588Zh/XMbZSXdvugfJtXXizZWZsZ+z4L/j8GDZ9xtcCNY36HKOEpvZNK
 xiKV1Dt/VMb2Rhwbwrcl58lwN8QYuF14vqU4vrywLKfr0ZV2NtObiQpeJSpzdTBpjAHG WA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2120.oracle.com with ESMTP id 33swkkh3nj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sat, 26 Sep 2020 19:32:47 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QJUFTE055964;
 Sat, 26 Sep 2020 19:32:47 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 33sweym59s-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 26 Sep 2020 19:32:47 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 08QJWhD4029995;
 Sat, 26 Sep 2020 19:32:43 GMT
MIME-Version: 1.0
Message-ID: <3c22f287-5b44-4d8f-a942-a5545b2a1389@default>
Date: Sat, 26 Sep 2020 12:32:42 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<<87zh5xiuk4.fsf@localhost>>>>> <<<<831rj9k79b.fsf@HIDDEN>>>>>
 <<<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>>
 <<<<83sgbpiqa7.fsf@HIDDEN>>>>> <<<<87mu1xa380.fsf@HIDDEN>>>>>
 <<<<83imclii71.fsf@HIDDEN>>>>> <<<<87wo1178cn.fsf@HIDDEN>>>>>
 <<<<83d02tifi3.fsf@HIDDEN>>>>> <<<<87ft7cx6kh.fsf@localhost>>>>>
 <<<<83bli027is.fsf@HIDDEN>>>>>
 <<<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>>
 <<<<87wo0nbln5.fsf@HIDDEN>>>>
 <<<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>>
 <<<<87sgbadxr9.fsf@HIDDEN>>>>
 <<<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>>
 <<<<87eemt7gob.fsf_-_@HIDDEN>>>>
 <<<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>>
 <<<<83zh5crkbb.fsf@HIDDEN>>>>
 <<<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>>
 <<<83eemor2lx.fsf@HIDDEN>>> <<8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>>
 <<83blhsr1i7.fsf@HIDDEN>> <<82143311-d8b3-4a96-a103-587e1fedf9dd@default>>
 <<83zh5cpk5q.fsf@HIDDEN>>
In-Reply-To: <<83zh5cpk5q.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0 bulkscore=0
 mlxscore=0 malwarescore=0 mlxlogscore=999 spamscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260177
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 mlxscore=0 phishscore=0
 suspectscore=0 mlxlogscore=999 clxscore=1015 priorityscore=1501
 impostorscore=0 lowpriorityscore=0 bulkscore=0 spamscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260177
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I said that if you post here code I can use
> > to replace the :enable code I showed then I'll
> > be glad to help out by trying it and letting
> > you know what I see.  If you don't want to do
> > that, fine.
>=20
> The patch shows the code, doesn't it?  So why do you insist on seeing
> the code and not the change?

I didn't insist on anything.  If you want me to help
by trying some alternative :enable code I'm willing
to do that, if you show that :enable code.

If not, that's OK by me.  I'll go with this as a guess:

(or (version=3D "27.1" emacs-version) ; bug #43569
    (not (condition-case nil
             (tags-loop-eval tags-loop-scan)
           (error t))))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 19:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 15:10:17 2020
Received: from localhost ([127.0.0.1]:47760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMFaL-0003uI-Dz
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:10:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMFaH-0003u2-Cw
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 15:10:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37371)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMFaB-0001Uf-1C; Sat, 26 Sep 2020 15:10:07 -0400
Received: from [176.228.60.248] (port=3318 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMFa3-0003lA-IJ; Sat, 26 Sep 2020 15:10:06 -0400
Date: Sat, 26 Sep 2020 22:09:52 +0300
Message-Id: <83mu1cpd6n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-Reply-To: <87sgb4bc0x.fsf@HIDDEN> (message from =?utf-8?Q?K=C3=A9vin?=
 Le Gouguec on Sat, 26 Sep 2020 20:58:38 +0200)
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87sgb4bc0x.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: larsi@HIDDEN, 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kévin Le Gouguec <kevin.legouguec@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  43569 <at> debbugs.gnu.org,
>   juri@HIDDEN
> Date: Sat, 26 Sep 2020 20:58:38 +0200
> 
> > I don't think I want to get patches in my mailbox twice.  There's
> > emacs-diffs for that purpose.
> 
> Maybe 4242-quiet <at> debbugs.gnu.org?
> 
> Quoth <https://debbugs.gnu.org/Developer.html>:
> 
> > If you wish to send a followup message which is not appropriate for
> > any mailing list you can do so by sending it to
> > nnn-quiet <at> debbugs.gnu.org or nnn-maintonly <at> debbugs.gnu.org. Mail to
> > nnn-quiet <at> debbugs.gnu.org is filed in the bug Tracking System but is
> > not delivered to any individuals or mailing lists. Mail to
> > nnn-maintonly <at> debbugs.gnu.org is filed in the bug Tracking System and
> > is delivered only to the maintainer of the package in question.

That sounds like the direct opposite of what is being saiught here,
doesn't it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 18:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 14:58:50 2020
Received: from localhost ([127.0.0.1]:47747 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMFPF-0003c8-Sc
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:58:50 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:42377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1kMFPC-0003bt-4G
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 14:58:48 -0400
Received: by mail-wr1-f67.google.com with SMTP id c18so7416755wrm.9
 for <43569 <at> debbugs.gnu.org>; Sat, 26 Sep 2020 11:58:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=F7ssd60wrtOoEztppj6JNDzblZgfmT+A4gMGZ79fduw=;
 b=WANpvXtUu5kEoMd+AgVnTEcBjbIRM6ThIxopHCaoxmcNOu6lyHAtOZq5Ph9MLqAGUK
 H2u4N7lPITEIyFFxoiRIr+uYjkn1xXErKQpI9ekMQVINrHEu1hnf26phXCMwlMam5RFD
 OoTcveoKUQp7cmSdUadgfgb4W+yS4eD76XJm91avnthaz/8SqI9UgvCuXrnnBR7CxY9P
 pmfa2MkETb9NQng4dTR5w4/rh2rzWGqqBy0Xrf++1hPFOaEDZfD7+XFrVTx4uzfwQPtg
 OMSeKJdyBXovy20upkk0Da9l0EwR3E/B76TVQRsdjP53dhV38yc9D89iFF0t4SP44Y+h
 tTow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=F7ssd60wrtOoEztppj6JNDzblZgfmT+A4gMGZ79fduw=;
 b=N0fOPv478RE4sOpvmgMJUwPELLD63dy86WjaSk7J7eso2Ai4W+UZI7MxBtkQPCicST
 tO3YLfwohmS5q0s9QJqDVrbrb0LB/NZ/NqIQ7bFUHVFzwwwQ8GCeCzz2OCxb/ZVb5UaH
 l1izdicjvkhe9ze4WYmlPC56ctH5XD8cw/+Lr/oAc8cnncknDNvbNHWceTxBrTziZQMz
 GA/rI3vOFE2j6UBByLmf30PrENFfcv6vDW0/0P7tWbXwShC7UuwEp19iMp1q8yPNCGMM
 GmIZGMYrkkLXshQ1q59nFaspvDozDTGLNHzaekJExkGg1nbrmOqSCa7KUvCgs6DCXbPo
 133A==
X-Gm-Message-State: AOAM531pBZbMwvzveUvI+EFWOMBqsMyZjYGXZcr/+LlZx/Pg0fLkPHNQ
 xGix35tr/Es9osedYQw70vw=
X-Google-Smtp-Source: ABdhPJzRxvzSsq9ia6ky7575t8qNyDRF5c1DaWbKW3Zkm3JnSuI1HX2/1ie/iIuxdUwAyimmvRGAzA==
X-Received: by 2002:adf:e304:: with SMTP id b4mr10184473wrj.141.1601146720230; 
 Sat, 26 Sep 2020 11:58:40 -0700 (PDT)
Received: from hirondell ([2a01:e0a:20e:d340:41b7:7b2e:4aab:4832])
 by smtp.gmail.com with ESMTPSA id u17sm8066482wri.45.2020.09.26.11.58.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 26 Sep 2020 11:58:39 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN>
Date: Sat, 26 Sep 2020 20:58:38 +0200
In-Reply-To: <83a6xcr0r0.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Sep
 2020 18:55:31 +0300")
Message-ID: <87sgb4bc0x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Lars Ingebrigtsen <larsi@HIDDEN>
>> Cc: Drew Adams <drew.adams@HIDDEN>,  43569 <at> debbugs.gnu.org,
>>   juri@HIDDEN
>> Date: Sat, 26 Sep 2020 17:45:21 +0200
>> 
>> Good advice, but this reminds me of something that occurred to me some
>> time ago: Perhaps it would be nice if the script that sends out diff
>> emails also looked for text in the commit message that says "bug#4242"
>> and then Cc's 4242 <at> debbugs.gnu.org?
>
> I don't think I want to get patches in my mailbox twice.  There's
> emacs-diffs for that purpose.

Maybe 4242-quiet <at> debbugs.gnu.org?

Quoth <https://debbugs.gnu.org/Developer.html>:

> If you wish to send a followup message which is not appropriate for
> any mailing list you can do so by sending it to
> nnn-quiet <at> debbugs.gnu.org or nnn-maintonly <at> debbugs.gnu.org. Mail to
> nnn-quiet <at> debbugs.gnu.org is filed in the bug Tracking System but is
> not delivered to any individuals or mailing lists. Mail to
> nnn-maintonly <at> debbugs.gnu.org is filed in the bug Tracking System and
> is delivered only to the maintainer of the package in question.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 16:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 12:39:27 2020
Received: from localhost ([127.0.0.1]:47672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMDEN-0000PU-0V
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:39:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMDEM-0000PJ-4o
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:39:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34575)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMDEF-0000zH-FZ; Sat, 26 Sep 2020 12:39:19 -0400
Received: from [176.228.60.248] (port=2019 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMDEE-0001D0-Jg; Sat, 26 Sep 2020 12:39:19 -0400
Date: Sat, 26 Sep 2020 19:39:13 +0300
Message-Id: <83zh5cpk5q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <82143311-d8b3-4a96-a103-587e1fedf9dd@default> (message from Drew
 Adams on Sat, 26 Sep 2020 09:31:43 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<87zh5xiuk4.fsf@localhost>>>> <<<831rj9k79b.fsf@HIDDEN>>>>
 <<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <<<83sgbpiqa7.fsf@HIDDEN>>>> <<<87mu1xa380.fsf@HIDDEN>>>>
 <<<83imclii71.fsf@HIDDEN>>>> <<<87wo1178cn.fsf@HIDDEN>>>>
 <<<83d02tifi3.fsf@HIDDEN>>>> <<<87ft7cx6kh.fsf@localhost>>>>
 <<<83bli027is.fsf@HIDDEN>>>>
 <<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <<<87wo0nbln5.fsf@HIDDEN>>>
 <<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <<<87sgbadxr9.fsf@HIDDEN>>>
 <<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <<<87eemt7gob.fsf_-_@HIDDEN>>>
 <<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <<<83zh5crkbb.fsf@HIDDEN>>> <<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <<83eemor2lx.fsf@HIDDEN>> <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <82143311-d8b3-4a96-a103-587e1fedf9dd@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 26 Sep 2020 09:31:43 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org
> 
> > Sigh...  As mentioned several times before, please go to...
> > Click on "emacs-27", find my change from a few hours ago, click on its
> > line, and you will see the diffs.
> > (Can I convince you to bookmark that page, and use it henceforth when
> > you want to see some change installed in the repository?)
> 
> I think we're miscommunicating.  I didn't ask
> to see your patch (diff).
> 
> I said that if you post here code I can use
> to replace the :enable code I showed then I'll
> be glad to help out by trying it and letting
> you know what I see.  If you don't want to do
> that, fine.

The patch shows the code, doesn't it?  So why do you insist on seeing
the code and not the change?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 16:31:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 12:31:55 2020
Received: from localhost ([127.0.0.1]:47668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMD75-0000FO-4G
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:31:55 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:46370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kMD71-0000F8-Cz
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:31:53 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QGUGf0151533;
 Sat, 26 Sep 2020 16:31:45 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=gNZCZaErqBqgs5PoEYUyTPPZEFA2y4AZx6DhzQhRbT4=;
 b=m6B81eTver6C/rw9z+xANcGDsfh141iPSAoulZAlf3O/biHJZ/bxdsWhMa07C0eSxY8x
 6T34vdVagNeqj/gyCFYkkgF0ALGnNDcbpH+6mrXfdYdCXGlYNXtNWrpN0j2acURN7LUH
 UrTA0ON5kk6anmyub2iYdZCrmitpOOKzgaahAH6lMa9dj48J/2ayo9XdjDmThraOhvpZ
 iQ5W3Bl6LiGTMJ+K7m0IR0VaxqQeRaPauD3DHC7YX+Kw7tD/29KaBmH2VQ7mAk8u9YT8
 t1WyUQSuUPUsRPgCb+TIr0YuzEWIbujRTCL1ehcrwCfu1eROT9FoeSuVKa7HelPSp/SF Pw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 33swkkgv2p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sat, 26 Sep 2020 16:31:45 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QGSftZ085722;
 Sat, 26 Sep 2020 16:31:45 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3030.oracle.com with ESMTP id 33sup8kjq4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 26 Sep 2020 16:31:44 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 08QGViUR000345;
 Sat, 26 Sep 2020 16:31:44 GMT
MIME-Version: 1.0
Message-ID: <82143311-d8b3-4a96-a103-587e1fedf9dd@default>
Date: Sat, 26 Sep 2020 09:31:43 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<87zh5xiuk4.fsf@localhost>>>> <<<831rj9k79b.fsf@HIDDEN>>>>
 <<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <<<83sgbpiqa7.fsf@HIDDEN>>>> <<<87mu1xa380.fsf@HIDDEN>>>>
 <<<83imclii71.fsf@HIDDEN>>>> <<<87wo1178cn.fsf@HIDDEN>>>>
 <<<83d02tifi3.fsf@HIDDEN>>>> <<<87ft7cx6kh.fsf@localhost>>>>
 <<<83bli027is.fsf@HIDDEN>>>>
 <<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <<<87wo0nbln5.fsf@HIDDEN>>>
 <<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <<<87sgbadxr9.fsf@HIDDEN>>>
 <<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <<<87eemt7gob.fsf_-_@HIDDEN>>>
 <<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <<<83zh5crkbb.fsf@HIDDEN>>> <<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <<83eemor2lx.fsf@HIDDEN>> <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN>
In-Reply-To: <83blhsr1i7.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 bulkscore=0 spamscore=0
 adultscore=0 mlxscore=0 phishscore=0 suspectscore=0 mlxlogscore=999
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260151
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 mlxscore=0 phishscore=0
 suspectscore=0 mlxlogscore=999 clxscore=1015 priorityscore=1501
 impostorscore=0 lowpriorityscore=0 bulkscore=0 spamscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260151
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > You can see the code via the Git Web interface offered by Savannah's
> > > Emacs page.  I provided a link several times in the past.
> >
> > If you post something here that I can use to
> > replace the :enable code I showed, I'll be
> > glad to try that and let you know what I see.
>=20
> Sigh...  As mentioned several times before, please go to...
> Click on "emacs-27", find my change from a few hours ago, click on its
> line, and you will see the diffs.
> (Can I convince you to bookmark that page, and use it henceforth when
> you want to see some change installed in the repository?)

I think we're miscommunicating.  I didn't ask
to see your patch (diff).

I said that if you post here code I can use
to replace the :enable code I showed then I'll
be glad to help out by trying it and letting
you know what I see.  If you don't want to do
that, fine.

And thanks for patching, assuming the result
takes care of the problem discussed.  In that
case, when Emacs releases again (27.2?), with
the patch applied, Emacs will no longer present
the reported regression - the same :enable
will work for all Emacs releases (except 27.1).

In that case, the :enable condition will become:

(or (version=3D "27.1" emacs-version) ; bug #43569
    (not (condition-case nil
             (tags-loop-eval tags-loop-scan)
           (error t))))

so that the menu item is still enabled
unconditionally for the (presumably still)
broken 27.1.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 16:27:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 12:27:52 2020
Received: from localhost ([127.0.0.1]:47662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMD3A-00008W-HB
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:27:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMD39-00008K-4z
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:27:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34326)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMD32-0007jB-Ue; Sat, 26 Sep 2020 12:27:44 -0400
Received: from [176.228.60.248] (port=1309 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMD31-0000TW-MO; Sat, 26 Sep 2020 12:27:44 -0400
Date: Sat, 26 Sep 2020 19:27:38 +0300
Message-Id: <835z80qz9h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87ft74ecsf.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 26 Sep 2020 18:13:52 +0200)
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN> <87ft74ecsf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, drew.adams@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: drew.adams@HIDDEN,  43569 <at> debbugs.gnu.org,  juri@HIDDEN
> Date: Sat, 26 Sep 2020 18:13:52 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> but also generally more friendly towards bug reporters, who could
> >> then see the patch immediately themselves.
> >
> > Only if they are subscribed to the bug list, no?
> 
> I thought the bug reporter got a copy of all mail to the
> @debbugs.gnu.org address?  Hm.  But...  come to think of it, they don't
> do, they?

Not unless there's some magic on debbugs.  They get the message which
closes a bug, but I don't think they automatically get other messages,
unless they are CC'ed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 16:14:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 12:14:21 2020
Received: from localhost ([127.0.0.1]:47649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMCpq-0008GO-RS
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:14:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMCpo-0008Fe-6i
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 12:14:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9L6TlblR0/6t/XNBzy2ixmp5etLRoXwCC67hXc0fKX4=; b=kcbZpN8Xc5coM1VL3Fb/P9kRqx
 ubCSFN0XiMr1mEScrHAvlrpVwF2DYQtS+21HkWYqsNLZ4fDyyr3RnvrVTcZVnHayXv5CQzZQ2DBbC
 25md3SM87R8426U8B8MJuTwJ5XIiMXl/4/tNTGDv4Jacs7TJPstjENsTSq1D/U8LfDi4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMCpe-0000pa-Bx; Sat, 26 Sep 2020 18:13:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
 <83a6xcr0r0.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWGaWy0r6msqmH/
 //856qMPAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QJGg8qDWkz0RYAAAG2SURBVCjPPZJBa9tAEIXf
 CtvYPrWhG8jNLaQ0/hVSiEOPm7BPyD41BRtLv8IJNZScUsj64JMSoiDNr+ysXTqHhW9mlnn7ZmGu
 AU4Dc2GKz67+1q+au7xTOHNdC2k2dq1g3fkaIvf93vwKZ6mdn4qkg0Se0YB8V0h2+2d07gAw17uA
 xhmFDg9+X2CnYxaydIOraYFawU8b9+X3oABgcm9u/Mcf4yE2WnEo+kmqeQXr8C/0Tqj0SCK02ib1
 sQWibdV/aDIqJCYm5E0rGySbJ0wi9CvNaWEdz4EODi83dgHZ4BQYBfrFG+QJHvhq6aWNWtDD0Fqv
 jzqAN6s/LoLHxJb3bssjfBpXc6cuviO6JTInfVSZqmopSD7WCo7SlVoZRzD+RMryCC5uYOv4IdmA
 t4F8GJXuRH6hTG3J2mxZTD3sZbhjPVqG3Hq1c5+xHYawZA5+v7CUn5yJybFsawVylmXEtOW5Lpc0
 aYtF4PJWSt+v1cI88LKWbmWMms1d/thWte2ZdAK+QrpcMm+o2lpbvejq/UAfw7VdbEWCtyxU9Sy/
 WImqVQPo5nlXxUHqEzPqH+qOEGPEQ/i/krm20uvd1aUAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAt
 MDktMjZUMTU6NDI6MTMrMDA6MDCcPOnVAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTI2VDE1
 OjQyOjEzKzAwOjAw7WFRaQAAAABJRU5ErkJggg==
X-Now-Playing: Grumbling Fur's _Preternaturals_: "Mister Skeleton"
Date: Sat, 26 Sep 2020 18:13:52 +0200
In-Reply-To: <83a6xcr0r0.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Sep
 2020 18:55:31 +0300")
Message-ID: <87ft74ecsf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> but also generally
 more friendly towards bug reporters,
 who could >> then see the patch immediately
 themselves. > > Only if they are subscribed to the bug list, no? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, drew.adams@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> but also generally more friendly towards bug reporters, who could
>> then see the patch immediately themselves.
>
> Only if they are subscribed to the bug list, no?

I thought the bug reporter got a copy of all mail to the
@debbugs.gnu.org address?  Hm.  But...  come to think of it, they don't
do, they?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 15:55:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 11:55:52 2020
Received: from localhost ([127.0.0.1]:47617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMCYC-0007ni-1O
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:55:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMCY9-0007nS-PW
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:55:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33714)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMCY3-000347-MN; Sat, 26 Sep 2020 11:55:43 -0400
Received: from [176.228.60.248] (port=3317 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMCXv-00031T-BN; Sat, 26 Sep 2020 11:55:37 -0400
Date: Sat, 26 Sep 2020 18:55:31 +0300
Message-Id: <83a6xcr0r0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87eemoilta.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 26 Sep 2020 17:45:21 +0200)
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>>
 <CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <83sgbpiqa7.fsf@HIDDEN>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN> <87eemoilta.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, drew.adams@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Drew Adams <drew.adams@HIDDEN>,  43569 <at> debbugs.gnu.org,
>   juri@HIDDEN
> Date: Sat, 26 Sep 2020 17:45:21 +0200
> 
> Good advice, but this reminds me of something that occurred to me some
> time ago: Perhaps it would be nice if the script that sends out diff
> emails also looked for text in the commit message that says "bug#4242"
> and then Cc's 4242 <at> debbugs.gnu.org?

I don't think I want to get patches in my mailbox twice.  There's
emacs-diffs for that purpose.

> It would be especially useful when doing bug triage on reopened bug
> reports, where you could see what the patch applied was without going on
> an archaeological expedition into git log

But that's just one Git command away...

> but also generally more friendly towards bug reporters, who could
> then see the patch immediately themselves.

Only if they are subscribed to the bug list, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 15:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 11:45:40 2020
Received: from localhost ([127.0.0.1]:47613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMCOK-0007Zk-2U
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:45:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMCOG-0007ZV-V9
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:45:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4hfse8AexwhWe5XPff+Wz6ZzdFoxR4aAorMnFFxIPD8=; b=GUkoakkrFCAyQWwcMzh7uNEsrg
 ReJY9xglr5GA5QeMsT4S613ALahdA/H9QXVa62cKJl4v6dZO6vTIUG/l7AOXBZ9ojSgFVGu4mDAAi
 FPc8lA1ijvVdNiIBECiPEWY45ufUYoSscysmGFTbhJyJcICJo/w3nIknoaHtPBl5vysU=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMCO2-0000WF-RO; Sat, 26 Sep 2020 17:45:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>>>>
 <CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <83sgbpiqa7.fsf@HIDDEN>>>> <87mu1xa380.fsf@HIDDEN>>>>
 <83imclii71.fsf@HIDDEN>>>> <87wo1178cn.fsf@HIDDEN>>>>
 <83d02tifi3.fsf@HIDDEN>>>> <87ft7cx6kh.fsf@localhost>>>>
 <83bli027is.fsf@HIDDEN>>>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <87wo0nbln5.fsf@HIDDEN>>>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <87sgbadxr9.fsf@HIDDEN>>>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <87eemt7gob.fsf_-_@HIDDEN>>>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <83zh5crkbb.fsf@HIDDEN>>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <83eemor2lx.fsf@HIDDEN>>
 <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
 <83blhsr1i7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWGaWy0r6msqmH/
 //856qMPAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QJGg8qDWkz0RYAAAG2SURBVCjPPZJBa9tAEIXf
 CtvYPrWhG8jNLaQ0/hVSiEOPm7BPyD41BRtLv8IJNZScUsj64JMSoiDNr+ysXTqHhW9mlnn7ZmGu
 AU4Dc2GKz67+1q+au7xTOHNdC2k2dq1g3fkaIvf93vwKZ6mdn4qkg0Se0YB8V0h2+2d07gAw17uA
 xhmFDg9+X2CnYxaydIOraYFawU8b9+X3oABgcm9u/Mcf4yE2WnEo+kmqeQXr8C/0Tqj0SCK02ib1
 sQWibdV/aDIqJCYm5E0rGySbJ0wi9CvNaWEdz4EODi83dgHZ4BQYBfrFG+QJHvhq6aWNWtDD0Fqv
 jzqAN6s/LoLHxJb3bssjfBpXc6cuviO6JTInfVSZqmopSD7WCo7SlVoZRzD+RMryCC5uYOv4IdmA
 t4F8GJXuRH6hTG3J2mxZTD3sZbhjPVqG3Hq1c5+xHYawZA5+v7CUn5yJybFsawVylmXEtOW5Lpc0
 aYtF4PJWSt+v1cI88LKWbmWMms1d/thWte2ZdAK+QrpcMm+o2lpbvejq/UAfw7VdbEWCtyxU9Sy/
 WImqVQPo5nlXxUHqEzPqH+qOEGPEQ/i/krm20uvd1aUAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAt
 MDktMjZUMTU6NDI6MTMrMDA6MDCcPOnVAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTI2VDE1
 OjQyOjEzKzAwOjAw7WFRaQAAAABJRU5ErkJggg==
X-Now-Playing: Grumbling Fur's _Preternaturals_: "All The Rays"
Date: Sat, 26 Sep 2020 17:45:21 +0200
In-Reply-To: <83blhsr1i7.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Sep
 2020 18:39:12 +0300")
Message-ID: <87eemoilta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Sigh... As mentioned
 several times before,
 please go to > > https://git.savannah.gnu.org/cgit/emacs.git
 > > Click on "emacs-27", find my change from a few hours ago, click on its
 > line, and you wil [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Sigh...  As mentioned several times before, please go to
>
>   https://git.savannah.gnu.org/cgit/emacs.git
>
> Click on "emacs-27", find my change from a few hours ago, click on its
> line, and you will see the diffs.

Good advice, but this reminds me of something that occurred to me some
time ago: Perhaps it would be nice if the script that sends out diff
emails also looked for text in the commit message that says "bug#4242"
and then Cc's 4242 <at> debbugs.gnu.org?

It would be especially useful when doing bug triage on reopened bug
reports, where you could see what the patch applied was without going on
an archaeological expedition into git log, but also generally more
friendly towards bug reporters, who could then see the patch immediately
themselves.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 15:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 11:39:27 2020
Received: from localhost ([127.0.0.1]:47598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMCIJ-0007QZ-MN
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:39:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMCIH-0007QM-VQ
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:39:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33454)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMCIC-0000pc-Gw; Sat, 26 Sep 2020 11:39:20 -0400
Received: from [176.228.60.248] (port=2281 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMCIB-0001oc-9d; Sat, 26 Sep 2020 11:39:20 -0400
Date: Sat, 26 Sep 2020 18:39:12 +0300
Message-Id: <83blhsr1i7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default> (message from Drew
 Adams on Sat, 26 Sep 2020 08:31:19 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<87zh5xiuk4.fsf@localhost>>>> <<<831rj9k79b.fsf@HIDDEN>>>>
 <<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <<<83sgbpiqa7.fsf@HIDDEN>>>> <<<87mu1xa380.fsf@HIDDEN>>>>
 <<<83imclii71.fsf@HIDDEN>>>> <<<87wo1178cn.fsf@HIDDEN>>>>
 <<<83d02tifi3.fsf@HIDDEN>>>> <<<87ft7cx6kh.fsf@localhost>>>>
 <<<83bli027is.fsf@HIDDEN>>>>
 <<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <<<87wo0nbln5.fsf@HIDDEN>>>
 <<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <<<87sgbadxr9.fsf@HIDDEN>>>
 <<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <<<87eemt7gob.fsf_-_@HIDDEN>>>
 <<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <<<83zh5crkbb.fsf@HIDDEN>>> <<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <<83eemor2lx.fsf@HIDDEN>> <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 26 Sep 2020 08:31:19 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org
> 
> > You can see the code via the Git Web interface offered by Savannah's
> > Emacs page.  I provided a link several times in the past.
> 
> If you post something here that I can use to
> replace the :enable code I showed, I'll be
> glad to try that and let you know what I see.

Sigh...  As mentioned several times before, please go to

  https://git.savannah.gnu.org/cgit/emacs.git

Click on "emacs-27", find my change from a few hours ago, click on its
line, and you will see the diffs.

(Can I convince you to bookmark that page, and use it henceforth when
you want to see some change installed in the repository?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 15:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 11:31:34 2020
Received: from localhost ([127.0.0.1]:47583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMCAg-0007F7-Ad
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:31:34 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:34014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kMCAb-0007Eq-E7
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:31:32 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QFUMbZ170215;
 Sat, 26 Sep 2020 15:31:22 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=bJfU9qFYQcG3b4xdC2IasCjsEdnoaj0ac1xP24d46G0=;
 b=xyUkNgtB5XzxdZ8Z7PE+a8+m9Mu/0I9JAFr/b8s3NBh52tnM2ilrvwVsyACaAB23XAbT
 h2dL6XyJXZA+z6ZkS/nPcwQUshYyJGOKqyPEVAzm0soh75JA+6AuSyb//o2PY9uvImVE
 u1r4bJDGaewWQlTXvvokPXmcuCrObd/Uiv1RSgMNL1paK5sujDpskW9VFrzjMe3gqkKu
 PT4Wpav8JSCrdHOe/KEF5Uml+Su67L5yjlR4WJ94kg5UKvwco23x7LiExudTYI1BqYAf
 ZB8ExMHLyymuckSes76w4pmHa/pkrQ4sg+/056guNLc78sU+mVh/VffOxKY7cu8REzIH qw== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 33sx9mrqkh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sat, 26 Sep 2020 15:31:22 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QFPe5Z025112;
 Sat, 26 Sep 2020 15:31:22 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3030.oracle.com with ESMTP id 33strrsyvj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 26 Sep 2020 15:31:22 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 08QFVL7q028494;
 Sat, 26 Sep 2020 15:31:21 GMT
MIME-Version: 1.0
Message-ID: <8ceca0dd-a0d8-48bb-992b-41823f7702ac@default>
Date: Sat, 26 Sep 2020 08:31:19 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<<87zh5xiuk4.fsf@localhost>>>> <<<831rj9k79b.fsf@HIDDEN>>>>
 <<<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>>
 <<<83sgbpiqa7.fsf@HIDDEN>>>> <<<87mu1xa380.fsf@HIDDEN>>>>
 <<<83imclii71.fsf@HIDDEN>>>> <<<87wo1178cn.fsf@HIDDEN>>>>
 <<<83d02tifi3.fsf@HIDDEN>>>> <<<87ft7cx6kh.fsf@localhost>>>>
 <<<83bli027is.fsf@HIDDEN>>>>
 <<<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>>
 <<<87wo0nbln5.fsf@HIDDEN>>>
 <<<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>>
 <<<87sgbadxr9.fsf@HIDDEN>>>
 <<<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>>
 <<<87eemt7gob.fsf_-_@HIDDEN>>>
 <<<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>>>
 <<<83zh5crkbb.fsf@HIDDEN>>> <<15cf58e4-afc0-4c41-b159-29565724ddb7@default>>
 <<83eemor2lx.fsf@HIDDEN>>
In-Reply-To: <<83eemor2lx.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 mlxlogscore=999 phishscore=0
 bulkscore=0 adultscore=0 suspectscore=0 malwarescore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260141
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 suspectscore=0
 phishscore=0 mlxscore=0 lowpriorityscore=0 adultscore=0 clxscore=1015
 spamscore=0 impostorscore=0 malwarescore=0 bulkscore=0 priorityscore=1501
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260141
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > > I tried to fix this on the emacs-27 branch, please take a look.
> >
> > Someone else will need to do that, I'm afraid.
> >
> > Or if you post something here that I can use
> > to replace the :enable code I showed, I'll be
> > glad to try that and let you know what I see.
>=20
> You can see the code via the Git Web interface offered by Savannah's
> Emacs page.  I provided a link several times in the past.

If you post something here that I can use to
replace the :enable code I showed, I'll be
glad to try that and let you know what I see.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 15:15:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 11:15:38 2020
Received: from localhost ([127.0.0.1]:47572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMBvG-0005JG-Io
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:15:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMBvE-0005C9-E4
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 11:15:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33143)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMBv6-0006Rg-LA; Sat, 26 Sep 2020 11:15:29 -0400
Received: from [176.228.60.248] (port=4608 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMBv6-00078X-4C; Sat, 26 Sep 2020 11:15:28 -0400
Date: Sat, 26 Sep 2020 18:15:22 +0300
Message-Id: <83eemor2lx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <15cf58e4-afc0-4c41-b159-29565724ddb7@default> (message from Drew
 Adams on Sat, 26 Sep 2020 07:53:23 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<87zh5xiuk4.fsf@localhost>>> <<831rj9k79b.fsf@HIDDEN>>>
 <<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>
 <<83sgbpiqa7.fsf@HIDDEN>>> <<87mu1xa380.fsf@HIDDEN>>>
 <<83imclii71.fsf@HIDDEN>>> <<87wo1178cn.fsf@HIDDEN>>>
 <<83d02tifi3.fsf@HIDDEN>>> <<87ft7cx6kh.fsf@localhost>>>
 <<83bli027is.fsf@HIDDEN>>> <<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>
 <<87wo0nbln5.fsf@HIDDEN>>
 <<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>
 <<87sgbadxr9.fsf@HIDDEN>>
 <<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>
 <<87eemt7gob.fsf_-_@HIDDEN>>
 <<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>> <<83zh5crkbb.fsf@HIDDEN>>
 <15cf58e4-afc0-4c41-b159-29565724ddb7@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 26 Sep 2020 07:53:23 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: juri@HIDDEN, 43569 <at> debbugs.gnu.org
> 
> > I tried to fix this on the emacs-27 branch, please take a look.
> 
> Someone else will need to do that, I'm afraid.
> 
> Or if you post something here that I can use
> to replace the :enable code I showed, I'll be
> glad to try that and let you know what I see.

You can see the code via the Git Web interface offered by Savannah's
Emacs page.  I provided a link several times in the past.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 14:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 10:53:42 2020
Received: from localhost ([127.0.0.1]:47533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMBa2-00049Q-4C
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 10:53:42 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:52890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kMBZx-00049A-OK
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 10:53:41 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QEo5X3079141;
 Sat, 26 Sep 2020 14:53:31 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=WO/YdK9UYEw/scMJWK1vBZlMVe49Zq9UZPmIMTST5pY=;
 b=kacCJfaIZoowxSu82199jvsUA9QQdFj/nhjGcPa0cG0ypqdDVRJBZ6mBpqdxJe8DvxQw
 IkJxFsixF6jK+7tItUDse0ofc+G25Sg8t8ALhPyorjgTT/3WkJvrw2Wrkq0Iw1EQJ9Y1
 b11+ZCqdxyP95/bh45ItjlBxk11rDAcqlgP0x+I1D8rsuI2K/sEsnBQJ+3c2qPc19YjA
 MtngyGDi1bOXVrkVqiL1yGg85fIZRveV6aE/Y/5TUY7Y7xDvyctVimfRwxsM3bBXEYop
 kxEHzfmFb/fYR0kuAvQIovj3vPPZSSw7d3K1oy6/Ibcmv7XvaZI7T0A1i3+AugOiDkXI QA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2130.oracle.com with ESMTP id 33su5agt9h-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Sat, 26 Sep 2020 14:53:31 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08QEoF8N161384;
 Sat, 26 Sep 2020 14:53:31 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserp3020.oracle.com with ESMTP id 33sweyg2dx-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 26 Sep 2020 14:53:31 +0000
Received: from abhmp0006.oracle.com (abhmp0006.oracle.com [141.146.116.12])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 08QErOfb016946;
 Sat, 26 Sep 2020 14:53:25 GMT
MIME-Version: 1.0
Message-ID: <15cf58e4-afc0-4c41-b159-29565724ddb7@default>
Date: Sat, 26 Sep 2020 07:53:23 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <<87zh5xiuk4.fsf@localhost>>> <<831rj9k79b.fsf@HIDDEN>>>
 <<CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>>
 <<83sgbpiqa7.fsf@HIDDEN>>> <<87mu1xa380.fsf@HIDDEN>>>
 <<83imclii71.fsf@HIDDEN>>> <<87wo1178cn.fsf@HIDDEN>>>
 <<83d02tifi3.fsf@HIDDEN>>> <<87ft7cx6kh.fsf@localhost>>>
 <<83bli027is.fsf@HIDDEN>>> <<498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>>
 <<87wo0nbln5.fsf@HIDDEN>>
 <<6e21964e-a580-45ef-943f-a8ea97e58eef@default>>
 <<87sgbadxr9.fsf@HIDDEN>>
 <<090c6fc6-92b9-4604-bb14-e19287dd6685@default>>
 <<87eemt7gob.fsf_-_@HIDDEN>>
 <<f84e24f3-1f56-452a-b92c-1a3421e62d92@default>> <<83zh5crkbb.fsf@HIDDEN>>
In-Reply-To: <<83zh5crkbb.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0 bulkscore=0
 mlxscore=0 malwarescore=0 mlxlogscore=999 spamscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260135
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9756
 signatures=668680
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 suspectscore=0
 lowpriorityscore=0 spamscore=0 clxscore=1015 mlxscore=0 impostorscore=0
 malwarescore=0 phishscore=0 adultscore=0 bulkscore=0 priorityscore=1501
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009260135
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > > > :enable (not (condition-case nil
> > > >                  (tags-loop-eval tags-loop-scan)
> > > >                (error t)))
> > >
> > > I tried this, but it doesn't enable "Continue Tags Search"
> > > after starting "Search Tagged Files...".  And I don't know
> > > what else could be checked.
> >
> > I think the xref changes broke the use of the tags code.
> > You can use `M-x tags-loop-continue'.  I think that
> > :enable code should work - and it does work for Emacs < 27.
>=20
> I tried to fix this on the emacs-27 branch, please take a look.

Someone else will need to do that, I'm afraid.

Or if you post something here that I can use
to replace the :enable code I showed, I'll be
glad to try that and let you know what I see.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 26 Sep 2020 08:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 26 04:52:52 2020
Received: from localhost ([127.0.0.1]:45785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kM5wp-00014f-V7
	for submit <at> debbugs.gnu.org; Sat, 26 Sep 2020 04:52:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kM5wo-00014S-3z
 for 43569 <at> debbugs.gnu.org; Sat, 26 Sep 2020 04:52:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58092)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kM5wi-0006Hh-06; Sat, 26 Sep 2020 04:52:44 -0400
Received: from [176.228.60.248] (port=4193 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kM5wg-0003tx-OD; Sat, 26 Sep 2020 04:52:43 -0400
Date: Sat, 26 Sep 2020 11:52:56 +0300
Message-Id: <83zh5crkbb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-Reply-To: <f84e24f3-1f56-452a-b92c-1a3421e62d92@default> (message from Drew
 Adams on Tue, 22 Sep 2020 13:44:36 -0700 (PDT))
Subject: Re: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>> <831rj9k79b.fsf@HIDDEN>>
 <CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>
 <83sgbpiqa7.fsf@HIDDEN>> <87mu1xa380.fsf@HIDDEN>>
 <83imclii71.fsf@HIDDEN>> <87wo1178cn.fsf@HIDDEN>>
 <83d02tifi3.fsf@HIDDEN>> <87ft7cx6kh.fsf@localhost>>
 <83bli027is.fsf@HIDDEN>> <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>
 <87wo0nbln5.fsf@HIDDEN>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>
 <87sgbadxr9.fsf@HIDDEN>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>
 <87eemt7gob.fsf_-_@HIDDEN>
 <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
Cc: 43569 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 22 Sep 2020 13:44:36 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> > >> I think "Continue Tags Search" should be disabled when it has no effect.
> > >
> > > I've done that now, in menu-bar+.el.  I use this, but
> > > perhaps someone can let me know if it's not the right,
> > > or best, condition to use.  (I use condition-case, not
> > > ignore-errors, for compatibility with older Emacs.)
> > >
> > > :enable (not (condition-case nil
> > >                  (tags-loop-eval tags-loop-scan)
> > >                (error t)))
> > 
> > I tried this, but it doesn't enable "Continue Tags Search"
> > after starting "Search Tagged Files...".  And I don't know
> > what else could be checked.
> 
> I think the xref changes broke the use of the tags code.
> You can use `M-x tags-loop-continue'.  I think that
> :enable code should work - and it does work for Emacs < 27.

I tried to fix this on the emacs-27 branch, please take a look.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at 43569 <at> debbugs.gnu.org:


Received: (at 43569) by debbugs.gnu.org; 22 Sep 2020 20:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 16:44:51 2020
Received: from localhost ([127.0.0.1]:33574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKp9f-0001Jg-2s
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 16:44:51 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:55872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kKp9a-0001JP-7W
 for 43569 <at> debbugs.gnu.org; Tue, 22 Sep 2020 16:44:49 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08MKdHMV159303;
 Tue, 22 Sep 2020 20:44:40 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=p901enJqImzWLAQnUHKnhLk/TwaxSJT3ug8N5MXyuxk=;
 b=sOKJf4Lma5Y39xqjxswRL6ayOMjmczUk0C7J4uTrdmQ+uvDcCb6Q2CReRhU/A3cKcCca
 fFfTEBGpobEZ8jykOmJyWs0NC8uW7vnXjEaiTObwfpyEdNpSq7yscCAmczBrdVKjSBE8
 937JSLWtPr4eHR03/qcltzHvIGFksE7SYYu0JeC3/b2iV79SSNoFjVMxLYF8qYfV38xD
 ssq7V9SNyOC80t07C8MIUQ1nXGgC4Om8fqPjQeDwYWLsolhXxuaqVnRQpR02cFxB6LOq
 vxZ+K6B3hlmiHkYb1/KNFuYE/quakgp5IzXDNVUz6XHxrKXZxOejEipbGJRfWXlzFfpf 6Q== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2120.oracle.com with ESMTP id 33q5rgdequ-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 22 Sep 2020 20:44:40 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 08MKfMcO052174;
 Tue, 22 Sep 2020 20:44:39 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3030.oracle.com with ESMTP id 33nuwyyhx8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 22 Sep 2020 20:44:39 +0000
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 08MKibIo000441;
 Tue, 22 Sep 2020 20:44:37 GMT
MIME-Version: 1.0
Message-ID: <f84e24f3-1f56-452a-b92c-1a3421e62d92@default>
Date: Tue, 22 Sep 2020 13:44:36 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, 43569 <at> debbugs.gnu.org
Subject: RE: bug#43569: 28.0.50; Menu "Continue Tags Search" signals an error
References: <87zh5xiuk4.fsf@localhost>> <831rj9k79b.fsf@HIDDEN>>
 <CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>
 <83sgbpiqa7.fsf@HIDDEN>> <87mu1xa380.fsf@HIDDEN>>
 <83imclii71.fsf@HIDDEN>> <87wo1178cn.fsf@HIDDEN>>
 <83d02tifi3.fsf@HIDDEN>> <87ft7cx6kh.fsf@localhost>>
 <83bli027is.fsf@HIDDEN>> <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>
 <87wo0nbln5.fsf@HIDDEN>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>
 <87sgbadxr9.fsf@HIDDEN>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>
 <87eemt7gob.fsf_-_@HIDDEN>
In-Reply-To: <87eemt7gob.fsf_-_@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9752
 signatures=668679
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 mlxscore=0 adultscore=0
 bulkscore=0 mlxlogscore=999 phishscore=0 suspectscore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2006250000
 definitions=main-2009220161
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9752
 signatures=668679
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 impostorscore=0
 clxscore=1011 suspectscore=0 phishscore=0 malwarescore=0
 priorityscore=1501 mlxlogscore=999 adultscore=0 bulkscore=0 mlxscore=0
 lowpriorityscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2006250000 definitions=main-2009220161
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43569
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >> I think "Continue Tags Search" should be disabled when it has no effec=
t.
> >
> > I've done that now, in menu-bar+.el.  I use this, but
> > perhaps someone can let me know if it's not the right,
> > or best, condition to use.  (I use condition-case, not
> > ignore-errors, for compatibility with older Emacs.)
> >
> > :enable (not (condition-case nil
> >                  (tags-loop-eval tags-loop-scan)
> >                (error t)))
>=20
> I tried this, but it doesn't enable "Continue Tags Search"
> after starting "Search Tagged Files...".  And I don't know
> what else could be checked.

I think the xref changes broke the use of the tags code.
You can use `M-x tags-loop-continue'.  I think that
:enable code should work - and it does work for Emacs < 27.

But you're right that it no longer works.  Looks like the
code for the tags-search feature was changed partially,
and stuff was declared obsolete (which shouldn't have been
done, IMO).

* Xref as an alternative is one thing - OK.
* Xref as the new default is another thing - OK, but not my
  preference.
* Xref stealing the same keys is yet another thing - Not OK, IMO.
* But declaring the tags functionality and code to be
  obsolete is KO, IMO.  Overzealous NIH'ism, I expect.

Users should have both tags and xref available, as equals.

Guess I'll have to :enable that menu item unconditionally
for Emacs 27 and later (and leave it conditional for
Emacs before the breakage):

(define-key menu-bar-search-tags-menu [tags-continue]
  '(menu-item "Continue Tags Search/Replace" tags-loop-continue
    :help "Continue last tags search or replace operation"
    :enable (or (> emacs-major-version 26)
                (not (condition-case nil
                         (tags-loop-eval tags-loop-scan)
                       (error t))))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2020 19:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 15:32:05 2020
Received: from localhost ([127.0.0.1]:33439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKo1F-0007xP-1x
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 15:32:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:44996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kKo1B-0007x3-O4
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 15:32:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44896)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1kKo1B-0001dj-HV
 for bug-gnu-emacs@HIDDEN; Tue, 22 Sep 2020 15:32:01 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:54449)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1kKo19-0001ta-8T
 for bug-gnu-emacs@HIDDEN; Tue, 22 Sep 2020 15:32:01 -0400
Received: from mail.gandi.net (m91-129-108-13.cust.tele2.ee [91.129.108.13])
 (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 2067F240005
 for <bug-gnu-emacs@HIDDEN>; Tue, 22 Sep 2020 19:31:54 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Menu "Continue Tags Search" signals an error
Organization: LINKOV.NET
References: <87zh5xiuk4.fsf@localhost>> <831rj9k79b.fsf@HIDDEN>>
 <CADwFkmkvLnNySYVaEUhRzPMZVAfOU13NRp1GudxBmF1iuaxCxQ@HIDDEN>>
 <83sgbpiqa7.fsf@HIDDEN>> <87mu1xa380.fsf@HIDDEN>>
 <83imclii71.fsf@HIDDEN>> <87wo1178cn.fsf@HIDDEN>>
 <83d02tifi3.fsf@HIDDEN>> <87ft7cx6kh.fsf@localhost>>
 <83bli027is.fsf@HIDDEN>>
 <498f6be5-f1ab-4f82-9cf1-ed5893f10ea1@default>
 <87wo0nbln5.fsf@HIDDEN>
 <6e21964e-a580-45ef-943f-a8ea97e58eef@default>
 <87sgbadxr9.fsf@HIDDEN>
 <090c6fc6-92b9-4604-bb14-e19287dd6685@default>
Date: Tue, 22 Sep 2020 22:30:28 +0300
In-Reply-To: <090c6fc6-92b9-4604-bb14-e19287dd6685@default> (Drew Adams's
 message of "Tue, 22 Sep 2020 09:59:08 -0700 (PDT)")
Message-ID: <87eemt7gob.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.178.230; envelope-from=juri@HIDDEN;
 helo=relay10.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/22 14:19:15
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

This is a new bug report spun off from bug#43308.

>> Another problem is that selecting "Continue Tags Search"
>> signals the error:
>>
>> emacs -Q
>> Select "Edit" -> "Search" -> "Continue Tags Search"
>>
>> Lisp error: (wrong-type-argument commandp fileloop-continue)
>
> I don't see that with emacs -Q, loading menu-bar+.el,
> and using that item in the Search menu (which is not
> under Edit).  Dunno why.  I see just this error message:
> "No operation in progress", which makes sense.

The error occurs only when fileloop.el is not yet loaded.

>> I think "Continue Tags Search" should be disabled when it has no effect.
>
> I've done that now, in menu-bar+.el.  I use this, but
> perhaps someone can let me know if it's not the right,
> or best, condition to use.  (I use condition-case, not
> ignore-errors, for compatibility with older Emacs.)
>
> :enable (not (condition-case nil
>                  (tags-loop-eval tags-loop-scan)
>                (error t)))

I tried this, but it doesn't enable "Continue Tags Search"
after starting "Search Tagged Files...".  And I don't know
what else could be checked.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43569; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 27 Sep 2020 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.